<?xml version="1.0" encoding="utf-8"?>
<?taxonomy-generator id="PomdocPro" version="2021.1.1.1" date="2025-04-22 09:42:18"?>
<linkbase 
  xml:lang="fr"
  xmlns="http://www.xbrl.org/2003/linkbase"
  xmlns:xlink="http://www.w3.org/1999/xlink"
  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd"
>
  <roleRef roleURI="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedLabel"/>
  <roleRef roleURI="http://www.xbrl.org/2009/role/negatedTotalLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedTotalLabel"/>
  <roleRef roleURI="http://www.xbrl.org/2009/role/netLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/net-2009-12-16.xsd#netLabel"/>
  <roleRef roleURI="http://www.xbrl.org/2009/role/negatedTerseLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedTerseLabel"/>
  <roleRef roleURI="http://www.xbrl.org/2009/role/negatedPeriodEndLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedPeriodEndLabel"/>
  <roleRef roleURI="http://www.xbrl.org/2009/role/negatedPeriodStartLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedPeriodStartLabel"/>
  <labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended">
  <loc
    xlink:type="locator"
    xlink:href="9695000UMPNY21KKDO98-2024-12-31.xsd#BOI_IncreaseDecreaseInNumberOfSharesOutstandingThroughTransfersAndOtherChanges"
    xlink:label="BOI_IncreaseDecreaseInNumberOfSharesOutstandingThroughTransfersAndOtherChanges"
  />
  <loc
    xlink:type="locator"
    xlink:href="9695000UMPNY21KKDO98-2024-12-31.xsd#BOI_IncreaseDecreaseInNumberOfSharesOutstandingThroughComprehensiveIncome"
    xlink:label="BOI_IncreaseDecreaseInNumberOfSharesOutstandingThroughComprehensiveIncome"
  />
  <loc
    xlink:type="locator"
    xlink:href="9695000UMPNY21KKDO98-2024-12-31.xsd#BOI_IncreaseDecreaseInNumberOfSharesOutstandingThroughTransactionsWithOwners"
    xlink:label="BOI_IncreaseDecreaseInNumberOfSharesOutstandingThroughTransactionsWithOwners"
  />
  <loc
    xlink:type="locator"
    xlink:href="9695000UMPNY21KKDO98-2024-12-31.xsd#BOI_RetainedEarningsAndOtherReserves"
    xlink:label="BOI_RetainedEarningsAndOtherReserves"
  />
  <loc
    xlink:type="locator"
    xlink:href="9695000UMPNY21KKDO98-2024-12-31.xsd#BOI_RetainedEarningsTreasurySharesAndAccumulatedOtherComprehensiveIncome"
    xlink:label="BOI_RetainedEarningsTreasurySharesAndAccumulatedOtherComprehensiveIncome"
  />
  <loc
    xlink:type="locator"
    xlink:href="9695000UMPNY21KKDO98-2024-12-31.xsd#BOI_AdjustmentsForDecreaseIncreaseInOtherOperatingReceivablesAndAdjustmentsForIncreaseDecreaseInOtherOperatingPayables"
    xlink:label="BOI_AdjustmentsForDecreaseIncreaseInOtherOperatingReceivablesAndAdjustmentsForIncreaseDecreaseInOtherOperatingPayables"
  />
  <loc
    xlink:type="locator"
    xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital"
    xlink:label="ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital"
  />
  <loc
    xlink:type="locator"
    xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncreaseDecreaseInWorkingCapital"
    xlink:label="ifrs-full_IncreaseDecreaseInWorkingCapital"
  />
  <loc
    xlink:type="locator"
    xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities"
    xlink:label="ifrs-full_CashFlowsFromUsedInOperatingActivities"
  />
  <loc
    xlink:type="locator"
    xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition"
    xlink:label="ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition"
  />
  <loc
    xlink:type="locator"
    xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities"
    xlink:label="ifrs-full_CashFlowsFromUsedInInvestingActivities"
  />
  <loc
    xlink:type="locator"
    xlink:href="9695000UMPNY21KKDO98-2024-12-31.xsd#BOI_RegulatoryAffairsExpense"
    xlink:label="BOI_RegulatoryAffairsExpense"
  />
  <loc
    xlink:type="locator"
    xlink:href="9695000UMPNY21KKDO98-2024-12-31.xsd#BOI_IncreaseDecreaseInNumberOfSharesOutstandingThroughTreasuryShareTransactions"
    xlink:label="BOI_IncreaseDecreaseInNumberOfSharesOutstandingThroughTreasuryShareTransactions"
  />
  <loc
    xlink:type="locator"
    xlink:href="9695000UMPNY21KKDO98-2024-12-31.xsd#BOI_InterestPaidOnLeaseLiabilitiesClassifiedAsFinancingActivities"
    xlink:label="BOI_InterestPaidOnLeaseLiabilitiesClassifiedAsFinancingActivities"
  />
  <loc
    xlink:type="locator"
    xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners"
    xlink:label="ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners"
  />
  <loc
    xlink:type="locator"
    xlink:href="9695000UMPNY21KKDO98-2024-12-31.xsd#BOI_ChangesInCashAndCashEquivalentsAbstract"
    xlink:label="BOI_ChangesInCashAndCashEquivalentsAbstract"
  />
  <loc
    xlink:type="locator"
    xlink:href="9695000UMPNY21KKDO98-2024-12-31.xsd#BOI_OtherIndividuallyImmaterialComponentsOfOtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax"
    xlink:label="BOI_OtherIndividuallyImmaterialComponentsOfOtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax"
  />
  <loc
    xlink:type="locator"
    xlink:href="9695000UMPNY21KKDO98-2024-12-31.xsd#BOI_CostOfNetDebt"
    xlink:label="BOI_CostOfNetDebt"
  />
  <loc
    xlink:type="locator"
    xlink:href="9695000UMPNY21KKDO98-2024-12-31.xsd#BOI_AdjustmentsForDepreciationRightOfUseAssets"
    xlink:label="BOI_AdjustmentsForDepreciationRightOfUseAssets"
  />
  <loc
    xlink:type="locator"
    xlink:href="9695000UMPNY21KKDO98-2024-12-31.xsd#BOI_AdjustmentsForIncomeTaxExpenseAndAdjustmentsForDeferredTaxExpense"
    xlink:label="BOI_AdjustmentsForIncomeTaxExpenseAndAdjustmentsForDeferredTaxExpense"
  />
  <loc
    xlink:type="locator"
    xlink:href="9695000UMPNY21KKDO98-2024-12-31.xsd#BOI_IncreaseDecreaseInIssuedCapitalSharePremiumAndOtherReservesClassifiedAsFinancingActivities"
    xlink:label="BOI_IncreaseDecreaseInIssuedCapitalSharePremiumAndOtherReservesClassifiedAsFinancingActivities"
  />
  <loc
    xlink:type="locator"
    xlink:href="9695000UMPNY21KKDO98-2024-12-31.xsd#BOI_PurchaseOfNonCurrentInvestmentsOtherThanInvestmentsAccountedForUsingEquityMethodClassifiedAsInvestingActivities"
    xlink:label="BOI_PurchaseOfNonCurrentInvestmentsOtherThanInvestmentsAccountedForUsingEquityMethodClassifiedAsInvestingActivities"
  />
  <loc
    xlink:type="locator"
    xlink:href="9695000UMPNY21KKDO98-2024-12-31.xsd#BOI_FinanceIncomeReceivedClassifiedAsFinancingActivities"
    xlink:label="BOI_FinanceIncomeReceivedClassifiedAsFinancingActivities"
  />
  <loc
    xlink:type="locator"
    xlink:href="9695000UMPNY21KKDO98-2024-12-31.xsd#BOI_ProceedsFromSalesOfNonCurrentInvestmentsOtherThanInvestmentsAccountedForUsingEquityMethodClassifiedAsInvestingActivities"
    xlink:label="BOI_ProceedsFromSalesOfNonCurrentInvestmentsOtherThanInvestmentsAccountedForUsingEquityMethodClassifiedAsInvestingActivities"
  />
  <loc
    xlink:type="locator"
    xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities"
    xlink:label="ifrs-full_CashFlowsFromUsedInFinancingActivities"
  />
  <loc
    xlink:type="locator"
    xlink:href="9695000UMPNY21KKDO98-2024-12-31.xsd#BOI_AdjustmentsForDepreciationAndAmortisationExpenseAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossOtherThanRightOfUseAssets"
    xlink:label="BOI_AdjustmentsForDepreciationAndAmortisationExpenseAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossOtherThanRightOfUseAssets"
  />
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="BOI_IncreaseDecreaseInNumberOfSharesOutstandingThroughTransfersAndOtherChanges"
    xlink:to="BOI_IncreaseDecreaseInNumberOfSharesOutstandingThroughTransfersAndOtherChanges_label_fr"
  />
  <label
    xlink:type="resource"
    xlink:label="BOI_IncreaseDecreaseInNumberOfSharesOutstandingThroughTransfersAndOtherChanges_label_fr"
    xlink:role="http://www.xbrl.org/2003/role/label"
    xml:lang="fr"
  >Augmentation (diminution) du nombre d’actions en circulation par transferts et autres changements</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="BOI_IncreaseDecreaseInNumberOfSharesOutstandingThroughComprehensiveIncome"
    xlink:to="BOI_IncreaseDecreaseInNumberOfSharesOutstandingThroughComprehensiveIncome_label_fr"
  />
  <label
    xlink:type="resource"
    xlink:label="BOI_IncreaseDecreaseInNumberOfSharesOutstandingThroughComprehensiveIncome_label_fr"
    xlink:role="http://www.xbrl.org/2003/role/label"
    xml:lang="fr"
  >Augmentation (diminution) du nombre d’actions en circulation par résultat global</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="BOI_IncreaseDecreaseInNumberOfSharesOutstandingThroughTransactionsWithOwners"
    xlink:to="BOI_IncreaseDecreaseInNumberOfSharesOutstandingThroughTransactionsWithOwners_label_fr"
  />
  <label
    xlink:type="resource"
    xlink:label="BOI_IncreaseDecreaseInNumberOfSharesOutstandingThroughTransactionsWithOwners_label_fr"
    xlink:role="http://www.xbrl.org/2003/role/label"
    xml:lang="fr"
  >Augmentation (diminution) du nombre d’actions en circulation par le biais de transactions avec les propriétaires</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="BOI_RetainedEarningsAndOtherReserves"
    xlink:to="BOI_RetainedEarningsAndOtherReserves_label_fr"
  />
  <label
    xlink:type="resource"
    xlink:label="BOI_RetainedEarningsAndOtherReserves_label_fr"
    xlink:role="http://www.xbrl.org/2003/role/label"
    xml:lang="fr"
  >Résultats non distribués et autres réserves</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="BOI_RetainedEarningsTreasurySharesAndAccumulatedOtherComprehensiveIncome"
    xlink:to="BOI_RetainedEarningsTreasurySharesAndAccumulatedOtherComprehensiveIncome_label_fr"
  />
  <label
    xlink:type="resource"
    xlink:label="BOI_RetainedEarningsTreasurySharesAndAccumulatedOtherComprehensiveIncome_label_fr"
    xlink:role="http://www.xbrl.org/2003/role/label"
    xml:lang="fr"
  >Résultats non distribués, actions propres et cumul des autres éléments du résultat global</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="BOI_AdjustmentsForDecreaseIncreaseInOtherOperatingReceivablesAndAdjustmentsForIncreaseDecreaseInOtherOperatingPayables"
    xlink:to="BOI_AdjustmentsForDecreaseIncreaseInOtherOperatingReceivablesAndAdjustmentsForIncreaseDecreaseInOtherOperatingPayables_label_fr"
  />
  <label
    xlink:type="resource"
    xlink:label="BOI_AdjustmentsForDecreaseIncreaseInOtherOperatingReceivablesAndAdjustmentsForIncreaseDecreaseInOtherOperatingPayables_label_fr"
    xlink:role="http://www.xbrl.org/2003/role/label"
    xml:lang="fr"
  >Ajustements pour diminution (augmentation) d’autres créances opérationnelles et ajustements pour augmentation (diminution) d’autres dettes opérationnelles</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital"
    xlink:to="ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital_totalLabel_fr"
  />
  <label
    xlink:type="resource"
    xlink:label="ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital_totalLabel_fr"
    xlink:role="http://www.xbrl.org/2003/role/totalLabel"
    xml:lang="fr"
  >cc</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="ifrs-full_IncreaseDecreaseInWorkingCapital"
    xlink:to="ifrs-full_IncreaseDecreaseInWorkingCapital_totalLabel_fr"
  />
  <label
    xlink:type="resource"
    xlink:label="ifrs-full_IncreaseDecreaseInWorkingCapital_totalLabel_fr"
    xlink:role="http://www.xbrl.org/2003/role/totalLabel"
    xml:lang="fr"
  >Augmentation (diminution) du fonds de roulement [total]</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="ifrs-full_CashFlowsFromUsedInOperatingActivities"
    xlink:to="ifrs-full_CashFlowsFromUsedInOperatingActivities_totalLabel_fr"
  />
  <label
    xlink:type="resource"
    xlink:label="ifrs-full_CashFlowsFromUsedInOperatingActivities_totalLabel_fr"
    xlink:role="http://www.xbrl.org/2003/role/totalLabel"
    xml:lang="fr"
  >Flux de trésorerie résultant (utilisés dans le cadre) des activités opérationnelles [total]</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition"
    xlink:to="ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition_periodStartLabel_fr"
  />
  <label
    xlink:type="resource"
    xlink:label="ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition_periodStartLabel_fr"
    xlink:role="http://www.xbrl.org/2003/role/periodStartLabel"
    xml:lang="fr"
  >Trésorerie et équivalents de trésorerie si différents de l’état de la situation financière à l&apos;ouverture</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="ifrs-full_CashFlowsFromUsedInInvestingActivities"
    xlink:to="ifrs-full_CashFlowsFromUsedInInvestingActivities_totalLabel_fr"
  />
  <label
    xlink:type="resource"
    xlink:label="ifrs-full_CashFlowsFromUsedInInvestingActivities_totalLabel_fr"
    xlink:role="http://www.xbrl.org/2003/role/totalLabel"
    xml:lang="fr"
  >Flux de trésorerie résultant (utilisés dans le cadre) d’activités d’investissement [total]</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="BOI_IncreaseDecreaseInNumberOfSharesOutstandingThroughComprehensiveIncome"
    xlink:to="BOI_IncreaseDecreaseInNumberOfSharesOutstandingThroughComprehensiveIncome_totalLabel_fr"
  />
  <label
    xlink:type="resource"
    xlink:label="BOI_IncreaseDecreaseInNumberOfSharesOutstandingThroughComprehensiveIncome_totalLabel_fr"
    xlink:role="http://www.xbrl.org/2003/role/totalLabel"
    xml:lang="fr"
  >Augmentation (diminution) du nombre d’actions en circulation par résultat global</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="BOI_RegulatoryAffairsExpense"
    xlink:to="BOI_RegulatoryAffairsExpense_label_fr"
  />
  <label
    xlink:type="resource"
    xlink:label="BOI_RegulatoryAffairsExpense_label_fr"
    xlink:role="http://www.xbrl.org/2003/role/label"
    xml:lang="fr"
  >Coûts des affaires réglementaires</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="BOI_IncreaseDecreaseInNumberOfSharesOutstandingThroughTreasuryShareTransactions"
    xlink:to="BOI_IncreaseDecreaseInNumberOfSharesOutstandingThroughTreasuryShareTransactions_label_fr"
  />
  <label
    xlink:type="resource"
    xlink:label="BOI_IncreaseDecreaseInNumberOfSharesOutstandingThroughTreasuryShareTransactions_label_fr"
    xlink:role="http://www.xbrl.org/2003/role/label"
    xml:lang="fr"
  >Augmentation (diminution) du nombre d’actions en circulation par le biais de transactions sur actions propres</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="BOI_InterestPaidOnLeaseLiabilitiesClassifiedAsFinancingActivities"
    xlink:to="BOI_InterestPaidOnLeaseLiabilitiesClassifiedAsFinancingActivities_label_fr"
  />
  <label
    xlink:type="resource"
    xlink:label="BOI_InterestPaidOnLeaseLiabilitiesClassifiedAsFinancingActivities_label_fr"
    xlink:role="http://www.xbrl.org/2003/role/label"
    xml:lang="fr"
  >Intérêts payés sur les passifs de location, classés comme activités de financement</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners"
    xlink:to="ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners_totalLabel_fr"
  />
  <label
    xlink:type="resource"
    xlink:label="ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners_totalLabel_fr"
    xlink:role="http://www.xbrl.org/2003/role/totalLabel"
    xml:lang="fr"
  >Augmentation (diminution) par le biais de transactions avec les propriétaires, capitaux propres [total]</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="BOI_ChangesInCashAndCashEquivalentsAbstract"
    xlink:to="BOI_ChangesInCashAndCashEquivalentsAbstract_label_fr"
  />
  <label
    xlink:type="resource"
    xlink:label="BOI_ChangesInCashAndCashEquivalentsAbstract_label_fr"
    xlink:role="http://www.xbrl.org/2003/role/label"
    xml:lang="fr"
  >Variation de trésorerie [abstract]</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="BOI_OtherIndividuallyImmaterialComponentsOfOtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax"
    xlink:to="BOI_OtherIndividuallyImmaterialComponentsOfOtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax_label_fr"
  />
  <label
    xlink:type="resource"
    xlink:label="BOI_OtherIndividuallyImmaterialComponentsOfOtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax_label_fr"
    xlink:role="http://www.xbrl.org/2003/role/label"
    xml:lang="fr"
  >Autres composantes des autres éléments du résultat global non significatives individuellement qui seront reclassées en résultat net, nettes d’impôt</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="BOI_CostOfNetDebt"
    xlink:to="BOI_CostOfNetDebt_label_fr"
  />
  <label
    xlink:type="resource"
    xlink:label="BOI_CostOfNetDebt_label_fr"
    xlink:role="http://www.xbrl.org/2003/role/label"
    xml:lang="fr"
  >Coût de l&apos;endettement net</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="BOI_AdjustmentsForDepreciationRightOfUseAssets"
    xlink:to="BOI_AdjustmentsForDepreciationRightOfUseAssets_label_fr"
  />
  <label
    xlink:type="resource"
    xlink:label="BOI_AdjustmentsForDepreciationRightOfUseAssets_label_fr"
    xlink:role="http://www.xbrl.org/2003/role/label"
    xml:lang="fr"
  >Ajustements pour dépréciation, actifs liés au droit d’utilisation</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="BOI_AdjustmentsForIncomeTaxExpenseAndAdjustmentsForDeferredTaxExpense"
    xlink:to="BOI_AdjustmentsForIncomeTaxExpenseAndAdjustmentsForDeferredTaxExpense_label_fr"
  />
  <label
    xlink:type="resource"
    xlink:label="BOI_AdjustmentsForIncomeTaxExpenseAndAdjustmentsForDeferredTaxExpense_label_fr"
    xlink:role="http://www.xbrl.org/2003/role/label"
    xml:lang="fr"
  >Ajustements pour charge d’impôt sur le résultat e ajustements pour charge d’impôt différé</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition"
    xlink:to="ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition_periodEndLabel_fr"
  />
  <label
    xlink:type="resource"
    xlink:label="ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition_periodEndLabel_fr"
    xlink:role="http://www.xbrl.org/2003/role/periodEndLabel"
    xml:lang="fr"
  >Trésorerie et équivalents de trésorerie si différents de l’état de la situation financière à la clôture</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="BOI_IncreaseDecreaseInIssuedCapitalSharePremiumAndOtherReservesClassifiedAsFinancingActivities"
    xlink:to="BOI_IncreaseDecreaseInIssuedCapitalSharePremiumAndOtherReservesClassifiedAsFinancingActivities_label_fr"
  />
  <label
    xlink:type="resource"
    xlink:label="BOI_IncreaseDecreaseInIssuedCapitalSharePremiumAndOtherReservesClassifiedAsFinancingActivities_label_fr"
    xlink:role="http://www.xbrl.org/2003/role/label"
    xml:lang="fr"
  >Augmentation (diminution) du capital émis, des primes d&apos;émission et des autres réserves, classées comme activités de financement</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="BOI_PurchaseOfNonCurrentInvestmentsOtherThanInvestmentsAccountedForUsingEquityMethodClassifiedAsInvestingActivities"
    xlink:to="BOI_PurchaseOfNonCurrentInvestmentsOtherThanInvestmentsAccountedForUsingEquityMethodClassifiedAsInvestingActivities_label_fr"
  />
  <label
    xlink:type="resource"
    xlink:label="BOI_PurchaseOfNonCurrentInvestmentsOtherThanInvestmentsAccountedForUsingEquityMethodClassifiedAsInvestingActivities_label_fr"
    xlink:role="http://www.xbrl.org/2003/role/label"
    xml:lang="fr"
  >Acquisition de participations non courantes autres que celles comptabilisées selon la méthode de la mise en équivalence, classés dans les activités d’investissement</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="BOI_FinanceIncomeReceivedClassifiedAsFinancingActivities"
    xlink:to="BOI_FinanceIncomeReceivedClassifiedAsFinancingActivities_label_fr"
  />
  <label
    xlink:type="resource"
    xlink:label="BOI_FinanceIncomeReceivedClassifiedAsFinancingActivities_label_fr"
    xlink:role="http://www.xbrl.org/2003/role/label"
    xml:lang="fr"
  >Produits financiers reçus, classés dans les activités de financement</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="BOI_IncreaseDecreaseInNumberOfSharesOutstandingThroughTransactionsWithOwners"
    xlink:to="BOI_IncreaseDecreaseInNumberOfSharesOutstandingThroughTransactionsWithOwners_totalLabel_fr"
  />
  <label
    xlink:type="resource"
    xlink:label="BOI_IncreaseDecreaseInNumberOfSharesOutstandingThroughTransactionsWithOwners_totalLabel_fr"
    xlink:role="http://www.xbrl.org/2003/role/totalLabel"
    xml:lang="fr"
  >Augmentation (diminution) du nombre d’actions en circulation par le biais de transactions avec les propriétaires</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="BOI_ProceedsFromSalesOfNonCurrentInvestmentsOtherThanInvestmentsAccountedForUsingEquityMethodClassifiedAsInvestingActivities"
    xlink:to="BOI_ProceedsFromSalesOfNonCurrentInvestmentsOtherThanInvestmentsAccountedForUsingEquityMethodClassifiedAsInvestingActivities_label_fr"
  />
  <label
    xlink:type="resource"
    xlink:label="BOI_ProceedsFromSalesOfNonCurrentInvestmentsOtherThanInvestmentsAccountedForUsingEquityMethodClassifiedAsInvestingActivities_label_fr"
    xlink:role="http://www.xbrl.org/2003/role/label"
    xml:lang="fr"
  >Produits de la vente de participations non courantes autres que les participations comptabilisées selon la méthode de la mise en équivalence, classés dans les activités d’investissement</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="ifrs-full_CashFlowsFromUsedInFinancingActivities"
    xlink:to="ifrs-full_CashFlowsFromUsedInFinancingActivities_totalLabel_fr"
  />
  <label
    xlink:type="resource"
    xlink:label="ifrs-full_CashFlowsFromUsedInFinancingActivities_totalLabel_fr"
    xlink:role="http://www.xbrl.org/2003/role/totalLabel"
    xml:lang="fr"
  >Flux de trésorerie résultant (utilisés dans le cadre) d’activités de financement [total]</label>
  <labelArc
    xlink:type="arc"
    xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
    xlink:from="BOI_AdjustmentsForDepreciationAndAmortisationExpenseAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossOtherThanRightOfUseAssets"
    xlink:to="BOI_AdjustmentsForDepreciationAndAmortisationExpenseAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossOtherThanRightOfUseAssets_label_fr"
  />
  <label
    xlink:type="resource"
    xlink:label="BOI_AdjustmentsForDepreciationAndAmortisationExpenseAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossOtherThanRightOfUseAssets_label_fr"
    xlink:role="http://www.xbrl.org/2003/role/label"
    xml:lang="fr"
  >Ajustements pour dotations aux amortissements et perte de valeur (reprise de perte de valeur) comptabilisée en résultat, autres que les droits d&apos;utilisation</label>
  </labelLink>
</linkbase>